IRremoteESP8266: MideaProtocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
MideaProtocol Union Reference

Native representation of a Midea A/C message. More...

`#include <ir_Midea.h>`

## Public Attributes

uint64_t | remote_state
| The state in native IR code form. More...
struct {
uint8_t Sum
uint8_t SensorTemp:7
| Degrees or OnTimer. More...
uint8_t disableSensor:1
uint8_t __pad0__:1
uint8_t OffTimer:6
| Nr of Half hours. Off is 0b111111. More...
uint8_t BeepDisable:1
| 0 = no beep in follow me messages, 1 = beep. More...
uint8_t Temp:5
uint8_t useFahrenheit:1
uint8_t __pad1__:0
uint8_t Mode:3
uint8_t Fan:2
uint8_t __pad2__:1
| Unknown, but set on some Pioneer System A/Cs. More...
uint8_t Sleep:1
uint8_t Power:1
uint8_t Type:3
| Normal, Special, or FollowMe message type. More...
uint8_t Header:5
| Typically 0b10100. More...
}; |

## Detailed Description

Native representation of a Midea A/C message.

Note
  Compile-time model specific overrides. Uncomment one of these if you have such a devices to better match your A/C. It changes some of the special commands/settings.
  Some Pioneer Systems have required a special bit to be set in order for the A/C unit to accept the message. We don't currently understand what this bit does. See the link for details of how to set this if needed.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1342#issuecomment-733721085

## Member Data Documentation

## ◆ @54

struct { ... }

## ◆ __pad0__

uint8_t MideaProtocol::__pad0__

## ◆ __pad1__

uint8_t MideaProtocol::__pad1__

## ◆ __pad2__

uint8_t MideaProtocol::__pad2__

Unknown, but set on some Pioneer System A/Cs.

Todo:
  Find out what this bit controls.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1342#issuecomment-733721085

## ◆ BeepDisable

uint8_t MideaProtocol::BeepDisable

0 = no beep in follow me messages, 1 = beep.

## ◆ disableSensor

uint8_t MideaProtocol::disableSensor

## ◆ Fan

uint8_t MideaProtocol::Fan

## ◆ Header

uint8_t MideaProtocol::Header

Typically 0b10100.

## ◆ Mode

uint8_t MideaProtocol::Mode

## ◆ OffTimer

uint8_t MideaProtocol::OffTimer

Nr of Half hours. Off is 0b111111.

## ◆ Power

uint8_t MideaProtocol::Power

## ◆ remote_state

uint64_t MideaProtocol::remote_state

The state in native IR code form.

## ◆ SensorTemp

uint8_t MideaProtocol::SensorTemp

Degrees or OnTimer.

## ◆ Sleep

uint8_t MideaProtocol::Sleep

## ◆ Sum

uint8_t MideaProtocol::Sum

## ◆ Temp

uint8_t MideaProtocol::Temp

## ◆ Type

uint8_t MideaProtocol::Type

Normal, Special, or FollowMe message type.

## ◆ useFahrenheit

uint8_t MideaProtocol::useFahrenheit

The documentation for this union was generated from the following file:

- src/ir_Midea.h